﻿Imports System.ComponentModel

Public Class MainWindowViewModel
    Implements INotifyPropertyChanged

    Private Property _lstSalesObject As List(Of SalesObject)
    Public Property lstSalesObject As List(Of SalesObject)
        Get
            Return _lstSalesObject
        End Get
        Set(ByVal value As List(Of SalesObject))
            If Not value.Equals(_lstSalesObject) Then
                _lstSalesObject = value
                OnPropertyChanged("lstSalesObject")
            End If
        End Set
    End Property

    Sub CreateData()

        lstSalesObject = New List(Of SalesObject)

        Dim d1 As New SalesObject("B", 5, 4, 2)
        Dim d2 As New SalesObject("F", 2, 2, 1)
        Dim d3 As New SalesObject("X", 8, 1, 2)

        lstSalesObject.Add(d1)
        lstSalesObject.Add(d2)
        lstSalesObject.Add(d3)

    End Sub



    Public Event PropertyChanged(sender As Object, e As PropertyChangedEventArgs) Implements INotifyPropertyChanged.PropertyChanged

    Protected Sub OnPropertyChanged(ByVal xval As String)
        RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(xval))
    End Sub

    Public Sub New()
        CreateData()
    End Sub
End Class
